Bug 1049062

Summary: CVE-2013-4353 mingw-openssl: openssl: TLS record tampering issue can lead to OpenSSL crash [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: mingw-opensslAssignee: Richard W.M. Jones <rjones>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 20CC: erik-fedora, ktietz, lfarkas, rjones
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mingw-openssl-1.0.1e-5.fc19 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-28 04:43:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1049058    

Description Vincent Danen 2014-01-06 22:02:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-01-06 22:02:59 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1049058,1049062

Comment 2 Fedora Update System 2014-01-25 22:38:58 UTC
mingw-openssl-1.0.1e-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-openssl-1.0.1e-5.fc19

Comment 3 Fedora Update System 2014-01-25 22:40:07 UTC
mingw-openssl-1.0.1e-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-openssl-1.0.1e-5.fc20

Comment 4 Fedora Update System 2014-01-26 11:53:57 UTC
Package mingw-openssl-1.0.1e-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-openssl-1.0.1e-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1560/mingw-openssl-1.0.1e-5.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-28 04:43:47 UTC
mingw-openssl-1.0.1e-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-02-04 02:52:00 UTC
mingw-openssl-1.0.1e-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.